Bug 42978 - Insufficient installation instructions for StarOffice.
Summary: Insufficient installation instructions for StarOffice.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Blapp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-20 06:30 UTC by Greg Lehey
Modified: 2003-02-20 00:26 UTC (History)
0 users

See Also:


Attachments
file.diff (2.01 KB, patch)
2002-09-20 06:30 UTC, Greg Lehey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lehey 2002-09-20 06:30:02 UTC
	Insufficient installation instructions for StarOffice.

Fix: --- Makefile    6 Aug 2002 00:08:49 -0000       1.39
+++ Makefile    20 Sep 2002 05:18:11 -0000
@@ -53,16 +53,17 @@
 PROCFS!=       /sbin/mount | /usr/bin/grep ^procfs | ${AWK} '{print $1}'
 
 pre-fetch:
-.if ${LINPROCFS} && ${PROCFS}
+.if ${PROCFS}
        @${ECHO}
-       @${ECHO} Check if procfs and linprocfs is running: YES
+       @${ECHO} Check if procfs is running: YES
 .else
        @${ECHO} -----------------------------------------------------------
        @${ECHO}
-       @${ECHO} Staroffice setup needs a running procfs and linprocfs,
-       @${ECHO} which may not be activated on your system. Please read the
-       @${ECHO} procfs\(5\) and linprocfs\(5\) manpages and ensure the
-       @${ECHO} the following lines are in /etc/fstab:
+       @${ECHO} Staroffice setup needs a running procfs and linprocfs.
+       @${ECHO} It seems that procfs is not mounted on your system.  Please
+       @${ECHO} read the procfs\(5\) and linprocfs\(5\) manpages and ensure the
+       @${ECHO} the following lines are in /etc/fstab, and that the file 
+       @${ECHO} systems are mounted:
        @${ECHO}
        @${ECHO} linproc /compat/linux/proc linprocfs rw 0 0
        @${ECHO} proc /proc procfs rw 0 0
@@ -70,15 +71,31 @@
        @${ECHO} -----------------------------------------------------------
        @${FALSE}
 .endif
+.if ${LINPROCFS} && ${PROCFS}
+       @${ECHO} Check if linprocfs is running: YES
+.else
+       @${ECHO} -----------------------------------------------------------
+       @${ECHO}
+       @${ECHO} Staroffice setup needs a running procfs and linprocfs.
+       @${ECHO} It seems that linprocfs is not mounted on your system. 
+       @${ECHO} Please read the linprocfs\(5\) manpage and ensure the
+       @${ECHO} the following line is in /etc/fstab, and that the file 
+       @${ECHO} system is mounted:
+       @${ECHO}
+       @${ECHO} linproc        /compat/linux/proc      linprocfs       rw 0 0
+       @${ECHO}
+       @${ECHO} -----------------------------------------------------------
+       @${FALSE}
+.endif
 .if ${OSVERSION} < 410000
        @${ECHO}
        @${ECHO} OS-VERSION ${OSVERSION}
        @${ECHO}
        @${ECHO} Staroffice depends on a scripting fix for
        @${ECHO} /usr/src/sys/i386/linux/linux_sysvec.c
-       @${ECHO} \(revision 1.55.2.1 or higher\)
        @${ECHO}
-       @${ECHO} Please upgrade to FreeBSD 4.1
+       @${ECHO} Please upgrade to FreeBSD 4.1 or later.
        @${ECHO}
        @${FALSE}
 .endif
@@ -104,6 +121,20 @@
        @${ECHO}
        @${FALSE}
 .endif
+.else
+.if exists(/cdrom/linux/office52/setup)
+       @${ECHO}
+       @${ECHO} It seems that you have a Sun StarOffice 5.2 CDROM
+       @${ECHO} mounted on ${CD_MOUNTPT}.  If you wish to install from
+       @${ECHO} this CD-ROM, please run 
+       @${ECHO}
+       @${ECHO}        make -DWITH_CDROM
+       @${ECHO}
+       @${ECHO} Otherwise please unmount the CD-ROM.
+       @${ECHO}
+       @${FALSE}
+
+.endif
 .endif
 
 do-extract:
@@ -165,7 +196,7 @@
        @-SAL_IGNOREXERRORS=1 PATH="/bin:${PATH}" TEMP=${TMPDIR} LD_LIBRARY_PATH=${LD_PATH} ${LINUXBASE}/bin/sh -c '${WRKSRC}/setup /net'
        @if [ -f ${PREFIX}/office52/program/setup ]; then \
                ${ECHO} ; \
-               ${ECHO} Ignore the error-message. StarOffice5.2 has been installed ; \
+               ${ECHO} Ignore the error message. StarOffice5.2 has been installed ; \
                ${ECHO} successfully on your system. ; \
                ${ECHO} ; \
        else \
@@ -188,9 +219,16 @@
        @${SED} -e 's%DefaultDestPath = "${PREFIX}/office52%DefaultDestPath = "office52%' \
            < ${INSTDB.INS}.orig > ${INSTDB.INS}
        @${RM} ${INSTDB.INS}.orig
+       @${ECHO} StarOffice has been installed successfully.  Prior to use,
+       @${ECHO} each user must change to this directory and run 'make install-user'.
 
 install-user:
        @-SAL_IGNOREXERRORS=1 PATH="/bin:${PATH}" ${LINUXBASE}/bin/sh -c \
                ${PREFIX}/office52/program/setup
+       @${ECHO} StarOffice has been installed successfully.  In order to use
+       @${ECHO} it, add the path ${HOME}/office52 to your PATH environment
+       @${ECHO} variable, and start the program with
+       @${ECHO} 
+       @${ECHO} '      ' soffice \&
 
 .include <bsd.port.post.mk>
How-To-Repeat: 	1.   Mount StarOffice release CD-ROM on /cdrom
	2.   cd /usr/ports/editors/staroffice52
	     make install
	3.   Get the message:

	     Staroffice setup needs a running procfs and linprocfs,
	     which may not be activated on your system. Please read the
	     procfs(5) and linprocfs(5) manpages and ensure the
	     the following lines are in /etc/fstab:

	     linproc /compat/linux/proc linprocfs rw 0 0
	     proc /proc procfs rw 0 0

	4.   Note that /proc is already mounted, and mount linprocfs.
	5.   make install
	6.   Watch the port go out over the net to download an enormous
	     binary.  Abort the build.
	7.   Read Makefile, note absence of comments.
	8.   Read make rules, discover they depend on WITH_CDROM.
	9.   make install -DWITH_CDROM.  Wander off and let it do its
	     thing, missing the messages:

	     You will very shortly have finished  a network install of StarOffice 5.2.
	     Once that is done exit X11 and run it again as the user that you usually use.
	     Then run "make install-user" and do a standard workstation install.
	     Change the install path to $HOME/office52. Then add $HOME/office52/ to your path.

	10.  Look at the end of the installation, wonder how to run the
	     program.
	11.  Search the hierarchy /usr/local/office52 and find about
	     120 executables.  By chance find
	     /usr/local/office52/programs/soffice and run it.
	
	I only found the messages from step 9 because I keep a log of
	all builds.  I think that other things can be improved as
	well: you don't normally need to stop and restart X in order
	to install StarOffice.  The installation works fine if you
	perform the installation fro a su'd xterm, which is the normal
	case.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-09-20 06:41:11 UTC
Responsible Changed
From-To: freebsd-ports->mbr

over to maintainer
Comment 2 Martin Blapp freebsd_committer 2003-02-20 00:26:12 UTC
State Changed
From-To: open->closed

Committed to SO5.2 and SO6.0. Thanks ! 

Martin